> ## Documentation Index
> Fetch the complete documentation index at: https://developers.redo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Navigate to Customer Portal

> Navigate to the customer portal.



## OpenAPI

````yaml /api-schema/openapi.yaml get /stores/{storeId}/customer-portal
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /stores/{storeId}/customer-portal:
    summary: Customer portal
    description: Navigate to the customer portal.
    get:
      tags:
        - Customer Portal
      summary: Navigate to Customer Portal
      description: Navigate to the customer portal.
      operationId: Customer portal navigate
      parameters:
        - $ref: '#/components/parameters/store-id.param'
        - description: >-
            HMAC-SHA256 JWT of
            {"iss":"<partnerId>","sub":"<storeId>/<customerId>"}
          in: query
          name: token
          schema:
            type: string
        - description: Order ID
          in: query
          name: order_id
          schema:
            type: string
      responses:
        '302':
          description: Redirect
components:
  parameters:
    store-id.param:
      description: Store ID
      in: path
      name: storeId
      required: true
      schema:
        example: 64e5a8a1af49a89df37e4ee7
        type: string

````